repmgr cluster event

# repmgr cluster event

output a formatted list of cluster events

## Description

Outputs a formatted list of cluster events, as stored in the `repmgr.events` table.

## Usage

Output is in reverse chronological order, and can be filtered with the following options:

- `--all`: outputs all entries

- `--limit`: set the maximum number of entries to output (default: 20)

- `--node-id`: restrict entries to node with this ID

- `--node-name`: restrict entries to node with this name

- `--event`: filter specific event (see for a full list)

The "Details" column can be omitted by providing `--compact`.

## Output format

- `--csv`: generate output in CSV format. Note that the `Details` column will currently not be emitted in CSV format.

## Example

        $ repmgr -f /etc/repmgr.conf cluster event --event=standby_register
         Node ID | Name  | Event            | OK | Timestamp           | Details
        ---------+-------+------------------+----+---------------------+-------------------------------------------------------
         3       | node3 | standby_register | t  | 2019-04-16 10:59:59 | standby registration succeeded; upstream node ID is 1
         2       | node2 | standby_register | t  | 2019-04-16 10:59:57 | standby registration succeeded; upstream node ID is 1